GuidesAPI Reference
Guides

Get started with HERE Waypoints Sequence API v8

This section outlines how to quickly get started using the HERE Waypoints Sequence API v8 service on the HERE platform.

📘

Note

This section provides information on the minimum setup required to quickly begin using the HERE Waypoints Sequence API v8 service. For more detailed information on HERE account setup, project creation, service linking, app registration, and authentication, see the Identity and Access Management Guide.

Get a HERE account

Obtain access to the HERE platform through your organization administrator's invitation or get started for free.

  • If your company has already established a HERE platform organization, contact your organization admin who can invite you to join the organization.
  • If your company hasn’t established a HERE platform organization yet, you can get started for free. For more information, see the HERE platform pricing.

Get an API key

To get an API key, follow these steps:

  1. Sign in to the HERE platform using your HERE account.
  2. Select the Access Manager from the launcher.
  3. Select the Apps tab and click Register new app.
  4. Enter a name for the app.
  5. Click Register. The HERE platform creates a new app with a unique app ID.
  6. On the Credentials tab, select API Keys and then click Create API key to generate a maximum of two API Keys for your app authentication credentials. The API key is created and displayed.

Send a request

In this example request, the user is looking for the fastest way from the Central Station in Wiesbaden, Germany, to the Central Station in Mainz, Germany, passing through the Central Stations in Frankfurt, Darmstadt, Hanau, and the Airport in Frankfurt. The user is interested in traffic information and wants to find a time-optimized route.

Request

curl -H "Authorization: Bearer BEARER_TOKEN" "https://wps.hereapi.com/v8/findsequence2?start=WiesbadenCentralStation;50.0715,8.2434&destination1=FranfurtCentralStation;50.1073,8.6647&destination2=DarmstadtCentralStation;49.8728,8.6326&destination3=FrankfurtAirport;50.0505,8.5698&destination4=HanauCentralStation;50.1218,8.9298&end=MainzCentralStation;50.0021,8.259&improveFor=time&departure=2014-12-09T09:30:00%2b01:00&mode=fastest;car;traffic:enabled"

Response

{
  "results": [
    {
      "waypoints": [
        {
          "id": "WiesbadenCentralStation",
          "lat": 50.0715,
          "lng": 8.2434,
          "sequence": 0,
          "estimatedArrival": null,
          "estimatedDeparture": "2014-12-09T09:30:00+01:00",
          "fulfilledConstraints": []
        },
        {
          "id": "FrankfurtAirport",
          "lat": 50.0505,
          "lng": 8.5698,
          "sequence": 1,
          "estimatedArrival": "2014-12-09T09:48:14+01:00",
          "estimatedDeparture": "2014-12-09T09:48:14+01:00",
          "fulfilledConstraints": []
        },
        {
          "id": "FranfurtCentralStation",
          "lat": 50.1073,
          "lng": 8.6647,
          "sequence": 2,
          "estimatedArrival": "2014-12-09T10:01:58+01:00",
          "estimatedDeparture": "2014-12-09T10:01:58+01:00",
          "fulfilledConstraints": []
        },
        {
          "id": "HanauCentralStation",
          "lat": 50.1218,
          "lng": 8.9298,
          "sequence": 3,
          "estimatedArrival": "2014-12-09T10:26:46+01:00",
          "estimatedDeparture": "2014-12-09T10:26:46+01:00",
          "fulfilledConstraints": []
        },
        {
          "id": "DarmstadtCentralStation",
          "lat": 49.8728,
          "lng": 8.6326,
          "sequence": 4,
          "estimatedArrival": "2014-12-09T10:59:54+01:00",
          "estimatedDeparture": "2014-12-09T10:59:54+01:00",
          "fulfilledConstraints": []
        },
        {
          "id": "MainzCentralStation",
          "lat": 50.0021,
          "lng": 8.259,
          "sequence": 5,
          "estimatedArrival": "2014-12-09T11:29:11+01:00",
          "estimatedDeparture": null,
          "fulfilledConstraints": []
        }
      ],
      "distance": "164286",
      "time": "7151",
      "interconnections": [
        {
          "fromWaypoint": "WiesbadenCentralStation",
          "toWaypoint": "FrankfurtAirport",
          "distance": 26628,
          "time": 1094,
          "rest": 0,
          "waiting": 0
        },
        {
          "fromWaypoint": "FrankfurtAirport",
          "toWaypoint": "FranfurtCentralStation",
          "distance": 15082,
          "time": 824,
          "rest": 0,
          "waiting": 0
        },
        {
          "fromWaypoint": "FranfurtCentralStation",
          "toWaypoint": "HanauCentralStation",
          "distance": 34647,
          "time": 1488,
          "rest": 0,
          "waiting": 0
        },
        {
          "fromWaypoint": "HanauCentralStation",
          "toWaypoint": "DarmstadtCentralStation",
          "distance": 49219,
          "time": 1988,
          "rest": 0,
          "waiting": 0
        },
        {
          "fromWaypoint": "DarmstadtCentralStation",
          "toWaypoint": "MainzCentralStation",
          "distance": 38710,
          "time": 1757,
          "rest": 0,
          "waiting": 0
        }
      ],
      "description": "Targeted best time; with , improvement for traffic",
      "timeBreakdown": {
        "driving": 7151,
        "service": 0,
        "rest": 0,
        "waiting": 0,
        "break": 0
      }
    }
  ],
  "errors": [],
  "processingTimeDesc": "172ms",
  "responseCode": "200",
  "warnings": null,
  "requestId": "08ae96af-7c05-49b1-8535-98db0307d667"
}

Next steps